Subversion does not work with Apache 2.2

Part of rebuilding my laptop was to get Subversion going.

Installed Subversion server 1.4. As I like to access it over http using Apache, I installed latest build of Apache 2.2.

But after making changes to http.conf to get Apache to work with Subversion, Apache server refused to start up. The Apache logs didn’t contain anything descriptive on why the server was not starting up.

Then I came across the following warning on the Subversion downloads page:

Note that the Apache modules included in this package was compiled against Apache HTTP Server 2.0, and thus will not work with Apache HTTP Server 2.2.

So that was the problem. Have now uninstalled Apache 2.2 and am installing Apache 2.

Hopefully that will work.

Comment on this blog post...